# -*- coding: utf-8 -*-
from setuphelpers import *


# Declaring specific app values (TO CHANGE)
app_real_name = "Phoronix Test Suite"
app_dir = makepath(programdata, "phoronix-test-suite")
cmd_path = makepath("C:", "Windows", "System32", "cmd.exe")

# phoronix-test-suite benchmark c-ray


def install():
    version = control.get_software_version().split('-')[0]

    # killalltasks(app_exe)
    zip_file = glob.glob("*.zip")[0]

    # Installing the package
    if isdir(app_dir):
        remove_tree(app_dir)
    unzip(zip_file, target=fr'{app_dir}')
##    os.rename(makepath(programdata, "phoronix-test-suite-%s") % package_version, app_dir)

    print("Add pts bin to system path")
    add_to_system_path(makepath(f"{app_dir}", f"phoronix-test-suite-{version}"))

    # Create icons
    # C:\Windows\System32\cmd.exe /K "phoronix-test-suite shell"

    icon_file = makepath(f"{app_dir}", f"phoronix-test-suite-{version}", "pts-core", "web-interface", "favicon.ico")
    icon_target = makepath("C:", "Users", "Default", "Pictures", "Icons")

    if not isdir(icon_target):
        mkdirs(icon_target)
    filecopyto(icon_file, icon_target)
    create_desktop_shortcut(app_real_name + " Shell", target=cmd_path, arguments='/K "phoronix-test-suite shell"', icon=r"%s\favicon.ico" % icon_target)


def uninstall():
    # Uninstalling the package
    if isdir(app_dir):
        remove_tree(app_dir)

    remove_desktop_shortcut(app_real_name + " Shell")

    print("Remove pts bin to system path")
    remove_from_system_path(app_dir)
